Bug 165119 - FEAT RHEL3U7: Need Intel e1000 driver update for the Dell Ophir/Rimon based PCI-E NICs
Summary: FEAT RHEL3U7: Need Intel e1000 driver update for the Dell Ophir/Rimon based P...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 168426
TreeView+ depends on / blocked
 
Reported: 2005-08-04 14:48 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-03-15 16:20:51 UTC


Attachments (Terms of Use)
jwltest-e1000-6_1_16-k2.patch (34.97 KB, patch)
2005-10-07 14:44 UTC, John W. Linville
no flags Details | Diff
jwltest-e1000-82571.patch (37.66 KB, patch)
2006-01-23 17:42 UTC, John W. Linville
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Issue Tracker 2005-08-04 14:48:29 UTC
Escalated to Bugzilla from IssueTracker

Comment 13 John W. Linville 2005-10-07 14:44:45 UTC
Created attachment 119708 [details]
jwltest-e1000-6_1_16-k2.patch

Comment 14 John W. Linville 2005-10-07 14:46:45 UTC
Test kernels w/ the above patch are available here: 
 
   http://people.redhat.com/linville/kernels/rhel3/ 
 
Please give them a try and post the results...thanks! 

Comment 17 Ernie Petrides 2005-10-11 21:38:30 UTC
Reverting to public bugzilla (undoing Larry Troan's "Dell ESG" box checks).


Comment 23 Ernie Petrides 2005-10-27 02:19:57 UTC
The e1000 driver update has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.7.EL).


Comment 26 Red Hat Bugzilla 2005-12-08 03:05:16 UTC
Bug report changed to ON_QA status by Errata System.
A QE request has been submitted for advisory RHSA-2006:144-02.
http://porkchop.redhat.com/errata/showrequest.cgi?advisory=3336

Comment 27 Larry Troan 2005-12-15 03:35:47 UTC
Bug is public. Please put all future communuication directly in this bug 165119.

Comment 32 John W. Linville 2006-01-23 17:42:15 UTC
Created attachment 123581 [details]
jwltest-e1000-82571.patch

Comment 36 Ernie Petrides 2006-01-26 23:57:57 UTC
Reverting to assigned state, since it has been discovered that this bug
is not yet resolved in the 1st respin of the U7 beta candidate (-39.EL).

Comment 39 Danny Trinh 2006-02-02 21:49:11 UTC
I have tested the following 2 NICs on RHEL3 and RHEL4 kernel from 
http://people.redhat.com/linville/kernels/{rhel3-rhel4}
kernel-smp-2.4.21-39.EL.jwltest.82.i686.rpm
kernel-smp-2.6.9-30.EL.jwltest.107.i686.rpm

PRO/1000PT	(82572EI)	Future --> PASS
PRO/1000PT-DP	(82571EB)	Future --> PASS

Comment 41 Ernie Petrides 2006-02-03 03:07:19 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-40.EL).


Comment 45 Amit Bhutani 2006-02-08 02:05:23 UTC
e1000 driver in kernel-smp-2.4.21-39.EL.jwltest.82.i686.rpm was tested against 
a variety of legacy and currently shipping Intel NICs/LOMs. All tests have 
passed.

Comment 49 Red Hat Bugzilla 2006-03-15 16:20:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.